package com.kdanmobile.reader.screen.handler

import android.graphics.RectF

interface SearchHandler {

    fun searchPage(page: Int, keyword: String): Array<RectF>

    fun cleanPreviousSearchResults(keyword: String): Boolean

    fun setSearchResult(page: Int, keyword: String, rectArray: Array<RectF>): Boolean

    fun stopSearchKeyWord(): Boolean
}